<html>
<head>
<title>Ogre::PVRTCCodec Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PVRTCCodec.html">PVRTCCodec</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PVRTCCodec Class Reference<div class="ingroups"><a class="el" href="group__Image.html">Image</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PVRTCCodec" --><!-- doxytag: inherits="Ogre::ImageCodec" -->
<p><a class="el" href="classOgre_1_1Codec.html" title="Abstract class that defines a &#39;codec&#39;.">Codec</a> specialized in loading PVRTC (PowerVR) images.  
 <a href="classOgre_1_1PVRTCCodec.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePVRTCCodec_8h_source.html">OgrePVRTCCodec.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::PVRTCCodec:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1PVRTCCodec__inherit__graph.gif" border="0" usemap="#Ogre_1_1PVRTCCodec_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1PVRTCCodec_inherit__map" id="Ogre_1_1PVRTCCodec_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1ImageCodec.html" title="Codec specialized in images." alt="" coords="11,160,141,189"/><area shape="rect" id="node4" href="classOgre_1_1Codec.html" title="Abstract class that defines a &#39;codec&#39;." alt="" coords="28,83,124,112"/><area shape="rect" id="node6" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="32,5,120,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1PVRTCCodec-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Codec_1_1CodecData.html">CodecData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#a29e31ad112b08ea7fb648b63f426ff1f">CodecDataPtr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1Codec.html#a9ae612c8caf1bcc5a5f44b72b73115ee">CodecList</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#a21f4b8a16d070793d576f827c9fee218">CodecIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::pair<br class="typebreak"/>
&lt; <a class="el" href="group__Resources.html#gaf8656a2c0ef06642f70c4b3745ee80a2">MemoryDataStreamPtr</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1Codec.html#a29e31ad112b08ea7fb648b63f426ff1f">CodecDataPtr</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#a8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Result of a decoding; both a decoded data stream and <a class="el" href="classOgre_1_1Codec_1_1CodecData.html">CodecData</a> metadata.  <a href="#a8cc81c85bd7d4e25393aa153c5e01454"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#a6bd4ffa897d98a88839a693f00f9601e">PVRTCCodec</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#a5ce8a89e2e6cab4536b4273b87518fec">~PVRTCCodec</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#a4d097a58a4c3df97332b5a049b847570">code</a> (<a class="el" href="group__Resources.html#gaf8656a2c0ef06642f70c4b3745ee80a2">MemoryDataStreamPtr</a> &amp;input, <a class="el" href="classOgre_1_1Codec.html#a29e31ad112b08ea7fb648b63f426ff1f">CodecDataPtr</a> &amp;pData) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#af246bda1c91a50b1b5a6ca46f152af47">codeToFile</a> (<a class="el" href="group__Resources.html#gaf8656a2c0ef06642f70c4b3745ee80a2">MemoryDataStreamPtr</a> &amp;input, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;outFileName, <a class="el" href="classOgre_1_1Codec.html#a29e31ad112b08ea7fb648b63f426ff1f">CodecDataPtr</a> &amp;pData) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Codec.html#a8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#afdeda6ea614d06dfa4179dc1f166d490">decode</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;input) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#a7e8a249326180755e56555e716904f8b">magicNumberToFileExt</a> (const char *magicNumberPtr, size_t maxbytes) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#a34ab3197d69d54498057fc375bec847f">getType</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the type of the codec as a String.  <a href="#a34ab3197d69d54498057fc375bec847f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec.html#ac4b5cbd627bb15c58088eec2319d881a">getDataType</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the type of the data that supported by this codec as a String.  <a href="#ac4b5cbd627bb15c58088eec2319d881a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#ae875657d0aa27ef91d934470f00dd9b5">magicNumberMatch</a> (const char *magicNumberPtr, size_t maxbytes) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether a magic number header matches this codec.  <a href="#ae875657d0aa27ef91d934470f00dd9b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#af31db2aa5603b320067943574b1eea86">startup</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Static method to startup and register the PVRTC codec.  <a href="#af31db2aa5603b320067943574b1eea86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#a62bd5a2e37af02c2701cdf33040d8c6f">shutdown</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Static method to shutdown and unregister the PVRTC codec.  <a href="#a62bd5a2e37af02c2701cdf33040d8c6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#a60f445cc6919df56af6611fd14eec47d">registerCodec</a> (<a class="el" href="classOgre_1_1Codec.html">Codec</a> *pCodec)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Registers a new codec in the database.  <a href="#a60f445cc6919df56af6611fd14eec47d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#ae5b74cfd0cb797a2ac139b4adb7ac557">isCodecRegistered</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;codecType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return whether a codec is registered already.  <a href="#ae5b74cfd0cb797a2ac139b4adb7ac557"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#ac1199a6638ff560aa81287cd12c26bcf">unRegisterCodec</a> (<a class="el" href="classOgre_1_1Codec.html">Codec</a> *pCodec)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unregisters a codec from the database.  <a href="#ac1199a6638ff560aa81287cd12c26bcf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Codec.html#a21f4b8a16d070793d576f827c9fee218">CodecIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#a55bf1d49e91958f8e412a583666bbd58">getCodecIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the iterator for the registered codecs.  <a href="#a55bf1d49e91958f8e412a583666bbd58"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#a6092324fd74dd0221f7c63ca8bec4fc1">getExtensions</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the file extension list for the registered codecs.  <a href="#a6092324fd74dd0221f7c63ca8bec4fc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Codec.html">Codec</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#acc4ee751f92b6e54051393e74e0a2884">getCodec</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;extension)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the codec registered for the passed in file extension.  <a href="#acc4ee751f92b6e54051393e74e0a2884"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Codec.html">Codec</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#ac8775b1052fb8ba72abdfb55df20a6af">getCodec</a> (char *magicNumberPtr, size_t maxbytes)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the codec that can handle the given 'magic' identifier.  <a href="#ac8775b1052fb8ba72abdfb55df20a6af"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Codec.html">Codec</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#a9ae612c8caf1bcc5a5f44b72b73115ee">CodecList</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#ab7f9e2541e8a7214c2ae7c0d2e1342cb">flipEndian</a> (void *pData, size_t size, size_t count) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#ab08ef139ee3e28026b609e8dbfa0d477">flipEndian</a> (void *pData, size_t size) const </td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#a92d02354880d07321941ffd7c9dfd8b3">mType</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1PVRTCCodec.html">PVRTCCodec</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PVRTCCodec.html#af3317f65a9df184dd44172484455dca7">msInstance</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Single registered codec instance.  <a href="#af3317f65a9df184dd44172484455dca7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Codec.html#a9ae612c8caf1bcc5a5f44b72b73115ee">CodecList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#a73c43a617f6b6fe273a9a17112e2458a">msMapCodecs</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A map that contains all the registered codecs.  <a href="#a73c43a617f6b6fe273a9a17112e2458a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classOgre_1_1Codec.html" title="Abstract class that defines a &#39;codec&#39;.">Codec</a> specialized in loading PVRTC (PowerVR) images. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>We implement our own codec here since we need to be able to keep PVRTC data compressed if the card supports it. </dd></dl>

<p>Definition at line <a class="el" href="OgrePVRTCCodec_8h_source.html#l00046">46</a> of file <a class="el" href="OgrePVRTCCodec_8h_source.html">OgrePVRTCCodec.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a29e31ad112b08ea7fb648b63f426ff1f"></a><!-- doxytag: member="Ogre::PVRTCCodec::CodecDataPtr" ref="a29e31ad112b08ea7fb648b63f426ff1f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt;<a class="el" href="classOgre_1_1Codec_1_1CodecData.html">CodecData</a>&gt; <a class="el" href="classOgre_1_1Codec.html#a29e31ad112b08ea7fb648b63f426ff1f">Ogre::Codec::CodecDataPtr</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCodec_8h_source.html#l00073">73</a> of file <a class="el" href="OgreCodec_8h_source.html">OgreCodec.h</a>.</p>

</div>
</div>
<a class="anchor" id="a21f4b8a16d070793d576f827c9fee218"></a><!-- doxytag: member="Ogre::PVRTCCodec::CodecIterator" ref="a21f4b8a16d070793d576f827c9fee218" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a>&lt;<a class="el" href="classOgre_1_1Codec.html#a9ae612c8caf1bcc5a5f44b72b73115ee">CodecList</a>&gt; <a class="el" href="classOgre_1_1Codec.html#a21f4b8a16d070793d576f827c9fee218">Ogre::Codec::CodecIterator</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCodec_8h_source.html#l00075">75</a> of file <a class="el" href="OgreCodec_8h_source.html">OgreCodec.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9ae612c8caf1bcc5a5f44b72b73115ee"></a><!-- doxytag: member="Ogre::PVRTCCodec::CodecList" ref="a9ae612c8caf1bcc5a5f44b72b73115ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Codec.html">Codec</a>* &gt;::type <a class="el" href="classOgre_1_1Codec.html#a9ae612c8caf1bcc5a5f44b72b73115ee">Ogre::Codec::CodecList</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCodec_8h_source.html#l00058">58</a> of file <a class="el" href="OgreCodec_8h_source.html">OgreCodec.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8cc81c85bd7d4e25393aa153c5e01454"></a><!-- doxytag: member="Ogre::PVRTCCodec::DecodeResult" ref="a8cc81c85bd7d4e25393aa153c5e01454" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::pair&lt;<a class="el" href="group__Resources.html#gaf8656a2c0ef06642f70c4b3745ee80a2">MemoryDataStreamPtr</a>, <a class="el" href="classOgre_1_1Codec.html#a29e31ad112b08ea7fb648b63f426ff1f">CodecDataPtr</a>&gt; <a class="el" href="classOgre_1_1Codec.html#a8cc81c85bd7d4e25393aa153c5e01454">Ogre::Codec::DecodeResult</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Result of a decoding; both a decoded data stream and <a class="el" href="classOgre_1_1Codec_1_1CodecData.html">CodecData</a> metadata. </p>

<p>Definition at line <a class="el" href="OgreCodec_8h_source.html#l00140">140</a> of file <a class="el" href="OgreCodec_8h_source.html">OgreCodec.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a6bd4ffa897d98a88839a693f00f9601e"></a><!-- doxytag: member="Ogre::PVRTCCodec::PVRTCCodec" ref="a6bd4ffa897d98a88839a693f00f9601e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PVRTCCodec.html#a6bd4ffa897d98a88839a693f00f9601e">Ogre::PVRTCCodec::PVRTCCodec</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5ce8a89e2e6cab4536b4273b87518fec"></a><!-- doxytag: member="Ogre::PVRTCCodec::~PVRTCCodec" ref="a5ce8a89e2e6cab4536b4273b87518fec" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1PVRTCCodec.html#a5ce8a89e2e6cab4536b4273b87518fec">Ogre::PVRTCCodec::~PVRTCCodec</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePVRTCCodec_8h_source.html#l00059">59</a> of file <a class="el" href="OgrePVRTCCodec_8h_source.html">OgrePVRTCCodec.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a4d097a58a4c3df97332b5a049b847570"></a><!-- doxytag: member="Ogre::PVRTCCodec::code" ref="a4d097a58a4c3df97332b5a049b847570" args="(MemoryDataStreamPtr &amp;input, CodecDataPtr &amp;pData) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> <a class="el" href="classOgre_1_1PVRTCCodec.html#a4d097a58a4c3df97332b5a049b847570">Ogre::PVRTCCodec::code</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#gaf8656a2c0ef06642f70c4b3745ee80a2">MemoryDataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Codec.html#a29e31ad112b08ea7fb648b63f426ff1f">CodecDataPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>pData</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Codes the data in the input stream and saves the result in the output stream. </p>
 
<p>Implements <a class="el" href="classOgre_1_1Codec.html#ae972de8ed9eedf56855bdaf6c21d0645">Ogre::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="af246bda1c91a50b1b5a6ca46f152af47"></a><!-- doxytag: member="Ogre::PVRTCCodec::codeToFile" ref="af246bda1c91a50b1b5a6ca46f152af47" args="(MemoryDataStreamPtr &amp;input, const String &amp;outFileName, CodecDataPtr &amp;pData) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PVRTCCodec.html#af246bda1c91a50b1b5a6ca46f152af47">Ogre::PVRTCCodec::codeToFile</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#gaf8656a2c0ef06642f70c4b3745ee80a2">MemoryDataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>outFileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Codec.html#a29e31ad112b08ea7fb648b63f426ff1f">CodecDataPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>pData</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Codes the data in the input chunk and saves the result in the output filename provided. </p>
<p>Provided for efficiency since coding to memory is progressive therefore memory required is unknown leading to reallocations. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">input</td><td>The input data </td></tr>
    <tr><td class="paramname">outFileName</td><td>The filename to write to </td></tr>
    <tr><td class="paramname">pData</td><td>Extra information to be passed to the codec (codec type specific) </td></tr>
  </table>
  </dd>
</dl>
 
<p>Implements <a class="el" href="classOgre_1_1Codec.html#a77edfaacf42d2fce9cd2b8a82a9d00d6">Ogre::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="afdeda6ea614d06dfa4179dc1f166d490"></a><!-- doxytag: member="Ogre::PVRTCCodec::decode" ref="afdeda6ea614d06dfa4179dc1f166d490" args="(DataStreamPtr &amp;input) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Codec.html#a8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a> <a class="el" href="classOgre_1_1PVRTCCodec.html#afdeda6ea614d06dfa4179dc1f166d490">Ogre::PVRTCCodec::decode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>input</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Codes the data from the input chunk into the output chunk. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">input</td><td>Stream containing the encoded data </td></tr>
  </table>
  </dd>
</dl>
<dl class="note"><dt><b>Note:</b></dt><dd>Has a variable number of arguments, which depend on the codec type. </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1Codec.html#a63f306b8171a0ea5cf319824044958e4">Ogre::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="ab7f9e2541e8a7214c2ae7c0d2e1342cb"></a><!-- doxytag: member="Ogre::PVRTCCodec::flipEndian" ref="ab7f9e2541e8a7214c2ae7c0d2e1342cb" args="(void *pData, size_t size, size_t count) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PVRTCCodec.html#ab7f9e2541e8a7214c2ae7c0d2e1342cb">Ogre::PVRTCCodec::flipEndian</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab08ef139ee3e28026b609e8dbfa0d477"></a><!-- doxytag: member="Ogre::PVRTCCodec::flipEndian" ref="ab08ef139ee3e28026b609e8dbfa0d477" args="(void *pData, size_t size) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PVRTCCodec.html#ab7f9e2541e8a7214c2ae7c0d2e1342cb">Ogre::PVRTCCodec::flipEndian</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="acc4ee751f92b6e54051393e74e0a2884"></a><!-- doxytag: member="Ogre::PVRTCCodec::getCodec" ref="acc4ee751f92b6e54051393e74e0a2884" args="(const String &amp;extension)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Codec.html">Codec</a>* <a class="el" href="classOgre_1_1Codec.html#acc4ee751f92b6e54051393e74e0a2884">Ogre::Codec::getCodec</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>extension</em></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the codec registered for the passed in file extension. </p>

</div>
</div>
<a class="anchor" id="ac8775b1052fb8ba72abdfb55df20a6af"></a><!-- doxytag: member="Ogre::PVRTCCodec::getCodec" ref="ac8775b1052fb8ba72abdfb55df20a6af" args="(char *magicNumberPtr, size_t maxbytes)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Codec.html">Codec</a>* <a class="el" href="classOgre_1_1Codec.html#acc4ee751f92b6e54051393e74e0a2884">Ogre::Codec::getCodec</a> </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>magicNumberPtr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>maxbytes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the codec that can handle the given 'magic' identifier. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">magicNumberPtr</td><td>Pointer to a stream of bytes which should identify the file. Note that this may be more than needed - each codec may be looking for a different size magic number. </td></tr>
    <tr><td class="paramname">maxbytes</td><td>The number of bytes passed </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a55bf1d49e91958f8e412a583666bbd58"></a><!-- doxytag: member="Ogre::PVRTCCodec::getCodecIterator" ref="a55bf1d49e91958f8e412a583666bbd58" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Codec.html#a21f4b8a16d070793d576f827c9fee218">CodecIterator</a> <a class="el" href="classOgre_1_1Codec.html#a55bf1d49e91958f8e412a583666bbd58">Ogre::Codec::getCodecIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the iterator for the registered codecs. </p>

<p>Definition at line <a class="el" href="OgreCodec_8h_source.html#l00107">107</a> of file <a class="el" href="OgreCodec_8h_source.html">OgreCodec.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4b5cbd627bb15c58088eec2319d881a"></a><!-- doxytag: member="Ogre::PVRTCCodec::getDataType" ref="ac4b5cbd627bb15c58088eec2319d881a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ImageCodec.html#ac4b5cbd627bb15c58088eec2319d881a">Ogre::ImageCodec::getDataType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the type of the data that supported by this codec as a String. </p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#aeb344d293259ec352c308d81fdf3e94c">Ogre::Codec</a>.</p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h_source.html#l00079">79</a> of file <a class="el" href="OgreImageCodec_8h_source.html">OgreImageCodec.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6092324fd74dd0221f7c63ca8bec4fc1"></a><!-- doxytag: member="Ogre::PVRTCCodec::getExtensions" ref="a6092324fd74dd0221f7c63ca8bec4fc1" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> <a class="el" href="classOgre_1_1Codec.html#a6092324fd74dd0221f7c63ca8bec4fc1">Ogre::Codec::getExtensions</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the file extension list for the registered codecs. </p>

</div>
</div>
<a class="anchor" id="a34ab3197d69d54498057fc375bec847f"></a><!-- doxytag: member="Ogre::PVRTCCodec::getType" ref="a34ab3197d69d54498057fc375bec847f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1PVRTCCodec.html#a34ab3197d69d54498057fc375bec847f">Ogre::PVRTCCodec::getType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the type of the codec as a String. </p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#ada1a5477ab6a563565f1b3599d7b806a">Ogre::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="ae5b74cfd0cb797a2ac139b4adb7ac557"></a><!-- doxytag: member="Ogre::PVRTCCodec::isCodecRegistered" ref="ae5b74cfd0cb797a2ac139b4adb7ac557" args="(const String &amp;codecType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1Codec.html#ae5b74cfd0cb797a2ac139b4adb7ac557">Ogre::Codec::isCodecRegistered</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>codecType</em></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return whether a codec is registered already. </p>

<p>Definition at line <a class="el" href="OgreCodec_8h_source.html#l00094">94</a> of file <a class="el" href="OgreCodec_8h_source.html">OgreCodec.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae875657d0aa27ef91d934470f00dd9b5"></a><!-- doxytag: member="Ogre::PVRTCCodec::magicNumberMatch" ref="ae875657d0aa27ef91d934470f00dd9b5" args="(const char *magicNumberPtr, size_t maxbytes) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Codec.html#ae875657d0aa27ef91d934470f00dd9b5">Ogre::Codec::magicNumberMatch</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>magicNumberPtr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>maxbytes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether a magic number header matches this codec. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">magicNumberPtr</td><td>Pointer to a stream of bytes which should identify the file. Note that this may be more than needed - each codec may be looking for a different size magic number. </td></tr>
    <tr><td class="paramname">maxbytes</td><td>The number of bytes passed </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreCodec_8h_source.html#l00162">162</a> of file <a class="el" href="OgreCodec_8h_source.html">OgreCodec.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7e8a249326180755e56555e716904f8b"></a><!-- doxytag: member="Ogre::PVRTCCodec::magicNumberToFileExt" ref="a7e8a249326180755e56555e716904f8b" args="(const char *magicNumberPtr, size_t maxbytes) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1PVRTCCodec.html#a7e8a249326180755e56555e716904f8b">Ogre::PVRTCCodec::magicNumberToFileExt</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>magicNumberPtr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>maxbytes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Maps a magic number header to a file extension, if this codec recognises it. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">magicNumberPtr</td><td>Pointer to a stream of bytes which should identify the file. Note that this may be more than needed - each codec may be looking for a different size magic number. </td></tr>
    <tr><td class="paramname">maxbytes</td><td>The number of bytes passed </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A blank string if the magic number was unknown, or a file extension. </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1Codec.html#af90756f690827353e18347d328bc5180">Ogre::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::PVRTCCodec::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::PVRTCCodec::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::PVRTCCodec::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::PVRTCCodec::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::PVRTCCodec::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::PVRTCCodec::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::PVRTCCodec::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::PVRTCCodec::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::PVRTCCodec::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::PVRTCCodec::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a60f445cc6919df56af6611fd14eec47d"></a><!-- doxytag: member="Ogre::PVRTCCodec::registerCodec" ref="a60f445cc6919df56af6611fd14eec47d" args="(Codec *pCodec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1Codec.html#a60f445cc6919df56af6611fd14eec47d">Ogre::Codec::registerCodec</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Codec.html">Codec</a> *&#160;</td>
          <td class="paramname"><em>pCodec</em></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Registers a new codec in the database. </p>

<p>Definition at line <a class="el" href="OgreCodec_8h_source.html#l00082">82</a> of file <a class="el" href="OgreCodec_8h_source.html">OgreCodec.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00113">Ogre::Exception::ERR_DUPLICATE_ITEM</a>, and <a class="el" href="classOgre_1_1Codec.html#ada1a5477ab6a563565f1b3599d7b806a">Ogre::Codec::getType()</a>.</p>

</div>
</div>
<a class="anchor" id="a62bd5a2e37af02c2701cdf33040d8c6f"></a><!-- doxytag: member="Ogre::PVRTCCodec::shutdown" ref="a62bd5a2e37af02c2701cdf33040d8c6f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PVRTCCodec.html#a62bd5a2e37af02c2701cdf33040d8c6f">Ogre::PVRTCCodec::shutdown</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Static method to shutdown and unregister the PVRTC codec. </p>

</div>
</div>
<a class="anchor" id="af31db2aa5603b320067943574b1eea86"></a><!-- doxytag: member="Ogre::PVRTCCodec::startup" ref="af31db2aa5603b320067943574b1eea86" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PVRTCCodec.html#af31db2aa5603b320067943574b1eea86">Ogre::PVRTCCodec::startup</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Static method to startup and register the PVRTC codec. </p>

</div>
</div>
<a class="anchor" id="ac1199a6638ff560aa81287cd12c26bcf"></a><!-- doxytag: member="Ogre::PVRTCCodec::unRegisterCodec" ref="ac1199a6638ff560aa81287cd12c26bcf" args="(Codec *pCodec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1Codec.html#ac1199a6638ff560aa81287cd12c26bcf">Ogre::Codec::unRegisterCodec</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Codec.html">Codec</a> *&#160;</td>
          <td class="paramname"><em>pCodec</em></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unregisters a codec from the database. </p>

<p>Definition at line <a class="el" href="OgreCodec_8h_source.html#l00101">101</a> of file <a class="el" href="OgreCodec_8h_source.html">OgreCodec.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Codec.html#ada1a5477ab6a563565f1b3599d7b806a">Ogre::Codec::getType()</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af3317f65a9df184dd44172484455dca7"></a><!-- doxytag: member="Ogre::PVRTCCodec::msInstance" ref="af3317f65a9df184dd44172484455dca7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PVRTCCodec.html">PVRTCCodec</a>* <a class="el" href="classOgre_1_1PVRTCCodec.html#af3317f65a9df184dd44172484455dca7">Ogre::PVRTCCodec::msInstance</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Single registered codec instance. </p>

<p>Definition at line <a class="el" href="OgrePVRTCCodec_8h_source.html#l00055">55</a> of file <a class="el" href="OgrePVRTCCodec_8h_source.html">OgrePVRTCCodec.h</a>.</p>

</div>
</div>
<a class="anchor" id="a73c43a617f6b6fe273a9a17112e2458a"></a><!-- doxytag: member="Ogre::PVRTCCodec::msMapCodecs" ref="a73c43a617f6b6fe273a9a17112e2458a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Codec.html#a9ae612c8caf1bcc5a5f44b72b73115ee">CodecList</a> <a class="el" href="classOgre_1_1Codec.html#a73c43a617f6b6fe273a9a17112e2458a">Ogre::Codec::msMapCodecs</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A map that contains all the registered codecs. </p>

<p>Definition at line <a class="el" href="OgreCodec_8h_source.html#l00061">61</a> of file <a class="el" href="OgreCodec_8h_source.html">OgreCodec.h</a>.</p>

</div>
</div>
<a class="anchor" id="a92d02354880d07321941ffd7c9dfd8b3"></a><!-- doxytag: member="Ogre::PVRTCCodec::mType" ref="a92d02354880d07321941ffd7c9dfd8b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1PVRTCCodec.html#a92d02354880d07321941ffd7c9dfd8b3">Ogre::PVRTCCodec::mType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePVRTCCodec_8h_source.html#l00049">49</a> of file <a class="el" href="OgrePVRTCCodec_8h_source.html">OgrePVRTCCodec.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePVRTCCodec_8h_source.html">OgrePVRTCCodec.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
